%define api 1
%define major 0
%define gi_version 1.0
%define libname %mklibname %{name} %{api} %{major}
%define giname %mklibname %{name}-gir %{gi_version}
%define develname %mklibname -d %{name} %{api}

Summary:	PolicyKit Authorization Framework
Name:		polkit
Version:	122
Release:	%mkrel 2
License:	LGPL-2.0-or-later
Group:		System/Libraries
URL:		https://www.freedesktop.org/wiki/Software/polkit
Source0:	https://gitlab.freedesktop.org/polkit/polkit/-/archive/%{version}/polkit-%{version}.tar.gz
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	meson
BuildRequires:	pam-devel
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(mozjs-102)
BuildRequires:	systemd-devel
# for tests
BuildRequires:	python3dist(python-dbusmock)

Requires(pre):   rpm-helper >= 0.24.8-1
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1

%description
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

%package -n %{libname}
Group:		System/Libraries
Summary:	PolicyKit Authorization Framework
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname}
PolicyKit is a toolkit for defining and handling authorizations.
It is used for allowing unprivileged processes to speak to privileged
processes.

This package contains the shared libraries of %{name}.

%package -n %{giname}
Group:		System/Libraries
Summary:	GObject Introspection interface library for %{name}
Requires:	%{libname} = %{version}-%{release}

%description -n %{giname}
GObject Introspection interface library for %{name}.

%package -n %{develname}
Summary:	Development files for PolicyKit
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{giname} = %{version}-%{release}
Provides:	%{name}-%{api}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for PolicyKit.

%prep
%autosetup -p1

%build
%meson \
  -Dsession_tracking=libsystemd-login \
  -Dsystemdsystemunitdir=%{_unitdir} \
  -Dos_type=redhat \
  -Dexamples=true \
  -Dtests=true \
  -Dintrospection=true \
  -Dgtk_doc=true \
  -Dman=true \
  -Djs_engine=mozjs
%meson_build

%install
%meson_install

%find_lang %{name}-%{api}

# (cg) Make the rules dir (this is where other packages should ship their rules)
mkdir -p %{buildroot}%{_datadir}/polkit-1/rules.d

%check
%meson_test

%pre
%_pre_useradd polkitd %{_prefix}/lib/polkit-1 /sbin/nologin

%post
systemctl -q --system daemon-reload ||:
systemctl -q try-restart polkit.service ||:

%files -n %{libname}
%{_libdir}/lib*-%{api}.so.%{major}{,.*}

%files -n %{giname}
%{_libdir}/girepository-1.0/*-%{gi_version}.typelib

%files -f polkit-1.lang
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/dbus-1/system-services/*
%dir %{_datadir}/polkit-1
%{_datadir}/polkit-1/policyconfig-1.dtd
%dir %{_datadir}/polkit-1/actions
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.policy
%{_datadir}/polkit-1/actions/org.freedesktop.policykit.examples.pkexec.policy
%attr(750,root,polkitd) %{_datadir}/polkit-1/rules.d
%{_datadir}/dbus-1/system.d/org.freedesktop.PolicyKit1.conf
%{_sysconfdir}/pam.d/polkit-1
%dir %{_sysconfdir}/polkit-1/
%attr(750,root,polkitd) %dir %{_sysconfdir}/polkit-1/rules.d
%{_bindir}/pkaction
%{_bindir}/pkcheck
%attr(4755,root,root) %{_bindir}/pkexec
%{_bindir}/pkttyagent
%{_bindir}/pk-example-frobnicate
%dir %{_prefix}/lib/polkit-1
%{_prefix}/lib/polkit-1/polkitd
%attr(4755,root,root) %{_prefix}/lib/polkit-1/polkit-agent-helper-1
%{_unitdir}/polkit.service
%{_datadir}/gettext/its/polkit.*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/polkit-1/
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/*-%{gi_version}.gir
%{_includedir}/*


%changelog
* Thu Apr 13 2023 luigiwalser <luigiwalser> 122-2.mga9
+ Revision: 1952861
- change rules.d ownership to mitigate hypothetical privesc (rhbz#2182784)

* Sun Oct 30 2022 wally <wally> 122-1.mga9
+ Revision: 1900359
- new version 122

* Tue Mar 29 2022 umeabot <umeabot> 0.120-4.mga9
+ Revision: 1831963
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 tmb <tmb> 0.120-3.mga9
+ Revision: 1781211
- fix file descriptor exhaustion (CVE-2021-4115)

* Wed Jan 26 2022 neoclust <neoclust> 0.120-2.mga9
+ Revision: 1769803
- Add P100: Fixes CVE-2021-4034 (mga#29944)

* Sat Oct 30 2021 luigiwalser <luigiwalser> 0.120-1.mga9
+ Revision: 1753365
- 0.120

* Sat Jun 05 2021 luigiwalser <luigiwalser> 0.119-1.mga9
+ Revision: 1729800
- 0.119
- remove upstream CVE patch
- disable broken gtk-doc generation for now

* Fri Jun 04 2021 neoclust <neoclust> 0.118-2.mga9
+ Revision: 1729548
- Add P100: Fixes CVE-2021-3560 (mga#29076)

* Thu Oct 22 2020 daviddavid <daviddavid> 0.118-1.mga8
+ Revision: 1638088
- new version: 0.118

* Sat Sep 12 2020 tv <tv> 0.117-1.mga8
+ Revision: 1624983
- new release + patch it to use mozjs78
+ daviddavid <daviddavid>
- rebuild for new mozjs-78

* Mon Apr 06 2020 ovitters <ovitters> 0.116-3.mga8
+ Revision: 1565288
- add patch for mozjs68

* Sat Feb 15 2020 umeabot <umeabot> 0.116-2.mga8
+ Revision: 1526287
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon May 13 2019 luigiwalser <luigiwalser> 0.116-1.mga7
+ Revision: 1397528
- 0.116
- remove upstream patches
- update mozjs BR to 60

* Tue Jan 15 2019 luigiwalser <luigiwalser> 0.115-4.mga7
+ Revision: 1356982
- fix of start_time reuse exploit (slowfork)

* Wed Dec 26 2018 daviddavid <daviddavid> 0.115-3.mga7
+ Revision: 1345091
- add patch to fix CVE-2018-19788 (mga#23940)

* Sun Sep 23 2018 umeabot <umeabot> 0.115-2.mga7
+ Revision: 1300335
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 tmb <tmb> 0.115-1.mga7
+ Revision: 1243488
- update to 0.115 (CVE-2018-1116, mga#23297)

* Wed May 23 2018 ovitters <ovitters> 0.114-1.mga7
+ Revision: 1231955
- add upstream patch for format-string error
- new version 0.144
- drop merged patches

* Tue Aug 22 2017 ovitters <ovitters> 0.113-6.mga7
+ Revision: 1143273
- sync patches from Fedora

* Wed Jun 08 2016 tv <tv> 0.113-6.mga6
+ Revision: 1020788
- no need for doble systemd BR
- adjust BRs for latest systemd

* Wed Apr 20 2016 tv <tv> 0.113-5.mga6
+ Revision: 1003784
- provides polkit-devel

* Sat Feb 20 2016 umeabot <umeabot> 0.113-4.mga6
+ Revision: 972455
- Mageia 6 Mass Rebuild

* Thu Nov 05 2015 luigiwalser <luigiwalser> 0.113-3.mga6
+ Revision: 897913
- reload unit file before restarting service

* Thu Jul 23 2015 luigiwalser <luigiwalser> 0.113-2.mga6
+ Revision: 856398
- restart polkit service on update if it is running (coling)

* Thu Jul 02 2015 luigiwalser <luigiwalser> 0.113-1.mga6
+ Revision: 849576
- 0.113 (fixes CVE-2015-4625)
- remove upstream patches

* Mon Jun 29 2015 wally <wally> 0.112-9.mga6
+ Revision: 847813
- add requires for gir pkg to devel pkg

* Wed Mar 04 2015 colin <colin> 0.112-8.mga5
+ Revision: 817633
- Fix memory leak fdo#88288

* Thu Jan 08 2015 colin <colin> 0.112-7.mga5
+ Revision: 809300
- Misc upstream cherry picks
- Add support for auth with systemd (user) activated session dbus (via logind)

* Wed Oct 15 2014 umeabot <umeabot> 0.112-6.mga5
+ Revision: 746493
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.112-5.mga5
+ Revision: 724953
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.112-4.mga5
+ Revision: 687710
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Sep 04 2014 colin <colin> 0.112-3.mga5
+ Revision: 671854
- Kill off the empty and obsolete desktop-policy subpackage

* Sat Oct 19 2013 umeabot <umeabot> 0.112-2.mga4
+ Revision: 535851
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 luigiwalser <luigiwalser> 0.112-1.mga4
+ Revision: 482687
- 0.112 (fixes CVE-2013-4288)

* Sun Aug 18 2013 joequant <joequant> 0.111-1.mga4
+ Revision: 467420
- Add enable-systemd-login to allow sandbox compile
- add systemd
- upgrade to 0.111

* Fri Jan 18 2013 fwang <fwang> 0.107-6.mga3
+ Revision: 389289
- eggdbus is not needed anymore
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 luigiwalser <luigiwalser> 0.107-4.mga3
+ Revision: 340740
- further fix for automake 1.13
- fix for automake 1.13

* Fri Oct 19 2012 ovitters <ovitters> 0.107-3.mga3
+ Revision: 308217
- drop consolekit dependency

* Wed Sep 26 2012 mitya <mitya> 0.107-2.mga3
+ Revision: 298329
- Authenticate as root if e.g. the wheel group is empty (RedHat #834494)

* Sat Sep 08 2012 luigiwalser <luigiwalser> 0.107-1.mga3
+ Revision: 289804
- 0.107

* Sun Jul 08 2012 colin <colin> 0.106-2.mga3
+ Revision: 268917
- Fix permissions on rules.d dirs

* Wed Jun 27 2012 colin <colin> 0.106-1.mga3
+ Revision: 264420
- Really fix build requires
- Fix build requires
- Fix build
- Drop wheel group rules (replacements should go in other packages)
- Do not enable the service with systemd - it's dbus only now.
- Ensure polkitd runs as it's own user.
+ ovitters <ovitters>
- update buildrequires
- enable systemd
- drop systemd patch due to new polkit version
- new version 0.106
- update source url

* Sat Apr 28 2012 tmb <tmb> 0.104-4.mga2
+ Revision: 233838
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Apr 02 2012 colin <colin> 0.104-3.mga2
+ Revision: 227969
- Kill off excessive debug under systemd
- Convert systemd support to a patch which also tweaks dbus activation be systemd aware
- Add BR on gettext-devel due to autoconf
+ dmorgan <dmorgan>
- Remove %%_postun_service macro, this is now handled by filetriggers

* Tue Jan 17 2012 wally <wally> 0.104-1.mga2
+ Revision: 197397
- new version 0.104
- clean .spec a bit

* Wed Nov 09 2011 wally <wally> 0.102-4.mga2
+ Revision: 165956
- get rid of .la files

* Tue Nov 01 2011 dmorgan <dmorgan> 0.102-3.mga2
+ Revision: 160951
- Fix scriplets ( mdv)

* Sat Oct 29 2011 dmorgan <dmorgan> 0.102-2.mga2
+ Revision: 159670
- Add systemd support (mdv)
+ fwang <fwang>
- New version 0.102, drop merged patches

* Fri Jul 08 2011 cjw <cjw> 0.101-5.mga2
+ Revision: 120264
- add conflicts with old polkit on typelib package

* Fri Jul 08 2011 cjw <cjw> 0.101-4.mga2
+ Revision: 119991
- put gobject introspection typelibs in a separate package
- rebuild to add automatic typelib provides and deps

* Fri Jun 17 2011 dmorgan <dmorgan> 0.101-3.mga2
+ Revision: 108690
- Add default rules for desktop users

* Tue May 17 2011 misc <misc> 0.101-2.mga2
+ Revision: 99527
- fix #1298, CVE-2011-1485, polkit local root exploit, patches from
  upstream

* Fri Apr 15 2011 dams <dams> 0.101-1.mga1
+ Revision: 85554
- update to 0.101
+ rtp <rtp>
- add bootstrap (to install libpolkit, one needs consolekit and to build
  consolekit one needs libpolkit-1-devel)

* Thu Jan 13 2011 dmorgan <dmorgan> 0.99-1.mga1
+ Revision: 10405
- imported package polkit


* Mon Sep 20 2010 Götz Waschk <waschk@mandriva.org> 0.99-1mdv2011.0
+ Revision: 579953
- update to new version 0.99

* Tue Aug 24 2010 Götz Waschk <waschk@mandriva.org> 0.98-1mdv2011.0
+ Revision: 572587
- new version
- drop patch

* Fri Aug 20 2010 Götz Waschk <waschk@mandriva.org> 0.97-2mdv2011.0
+ Revision: 571424
- add fix for bug #60617

* Wed Aug 11 2010 Götz Waschk <waschk@mandriva.org> 0.97-1mdv2011.0
+ Revision: 568931
- new version
- drop patch 0

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.96-3mdv2011.0
+ Revision: 563242
- rebuild for new gobject-introspection

* Wed Apr 28 2010 Frederic Crozat <fcrozat@mandriva.com> 0.96-2mdv2010.1
+ Revision: 540125
- Patch0 (GIT): fix polkit information disclosure (fdo bug #26982)

* Mon Jan 18 2010 Frederic Crozat <fcrozat@mandriva.com> 0.96-1mdv2010.1
+ Revision: 493024
- Release 0.96

* Mon Nov 30 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.95-1mdv2010.1
+ Revision: 471660
- Update to version 0.95

* Thu Aug 13 2009 Frederic Crozat <fcrozat@mandriva.com> 0.94-1mdv2010.0
+ Revision: 415982
- Release 0.94

* Fri Jul 24 2009 Götz Waschk <waschk@mandriva.org> 0.93-2mdv2010.0
+ Revision: 399254
- fix libexecdir

* Fri Jul 24 2009 Götz Waschk <waschk@mandriva.org> 0.93-1mdv2010.0
+ Revision: 399185
- new version
- update file list

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.92-2mdv2010.0
+ Revision: 395849
- update deps

* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.92-1mdv2010.0
+ Revision: 395832
- import polkit


* Tue Jul 14 2009 Götz Waschk <waschk@mandriva.org> 0.92-1mdv2010.0
- port to Mandriva

* Tue Jun 09 2009 David Zeuthen <davidz@redhat.com> - 0.92-3
- Don't make docs noarch (I *heart* multilib)
- Change license to LGPLv2+

* Mon Jun 08 2009 David Zeuthen <davidz@redhat.com> - 0.92-2
- Rebuild

* Mon Jun 08 2009 David Zeuthen <davidz@redhat.com> - 0.92-1
- Update to 0.92 release

* Wed May 27 2009 David Zeuthen <davidz@redhat.com> - 0.92-0.git20090527
- Update to 0.92 snapshot

* Mon Feb  9 2009 David Zeuthen <davidz@redhat.com> - 0.91-1
- Initial spec file.
